org.bootchart.common

## Class ProcessSample

- java.lang.Object
- - org.bootchart.common.Sample
  - - org.bootchart.common.ProcessSample

-     public class ProcessSample
      extends Sample

  Process statistics.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CPUSample` | `cpu` CPU statistics.
    `DiskTPutSample` | `diskTPut` Disk troughput statistics.
    `DiskUtilSample` | `diskUtil` Disk utlization statistics.
    `int` | `state` Process state.

    - ### Fields inherited from class org.bootchart.common.Sample

      `time, TIME_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessSample(java.util.Date time, int state, CPUSample cpu, DiskUtilSample diskUtil, DiskTPutSample diskTPut)` Creates a new process sample.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns the string representation of the sample.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### state

          public int state

      Process state.

    - #### cpu

          public CPUSample cpu

      CPU statistics.

    - #### diskUtil

          public DiskUtilSample diskUtil

      Disk utlization statistics.

    - #### diskTPut

          public DiskTPutSample diskTPut

      Disk troughput statistics.

  - ### Constructor Detail

    - #### ProcessSample

          public ProcessSample(java.util.Date time,
                               int state,
                               CPUSample cpu,
                               DiskUtilSample diskUtil,
                               DiskTPutSample diskTPut)

      Creates a new process sample.
      Parameters:
        `time` - sample time
        `state` - proces state
        `cpu` - CPU sample
        `diskUtil` - disk utilization sample
        `diskTPut` - disk throughput sample

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the string representation of the sample.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string representation